import request from '@/utils/request'

export function getTree(params) {
    return request({
        url: '/knowledge/system/courseDirectory/tree',
        method: 'get',
        params
    })
}

export function directorySave(data) {
    return request({
        url: '/knowledge/system/courseDirectory/insert',
        method: 'post',
        data
    })
}
export function directoryDelete(id) {
    return request({
        url: '/knowledge/system/courseDirectory/delete?id=' + id,
        method: 'post'

    })
}
export function directoryUpdate(data) {
    return request({
        url: '/knowledge/system/courseDirectory/update',
        method: 'post',
        data
    })
}
